package distlock

import (
	"gitlink.org.cn/cloudream/jcs-pub/common/pkgs/distlock/types"
)

type Mutex struct {
	svc       *Service
	lockReq   types.LockRequest
	lockReqID types.RequestID
}

func (m *Mutex) Unlock() {
	m.svc.release(m.lockReqID, m.lockReq)
}
